> ## Documentation Index
> Fetch the complete documentation index at: https://exsited.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a purchase invoice note

> Returns one note of a purchase invoice under `note`.

Returns the note with its content, attachments and watchers under `note`.

> [!NOTE]
>
> The SDK samples get their client from credentials your app registers once when it starts, as shown in [Authentication](https://exsited.mintlify.site/authentication.md#set-up-a-client). To try the call here, click **Try it**, set `host` to your Exsited API host name and paste an access token from [Get an access token](https://exsited.mintlify.site/api-reference/authentication/get-an-access-token.md).


## OpenAPI

````yaml GET /purchase_invoices/{purchase_invoice_id}/notes/{note_id}
openapi: 3.1.0
info:
  title: Exsited API
  version: v4
servers:
  - url: https://{host}/api/v4
    variables:
      host:
        default: your-api-host.example.com
        description: Your Exsited API host name, without https://.
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Account emails
  - name: Account groups
  - name: Communications
  - name: Communication profiles
  - name: Orders
  - name: Quote orders
  - name: Express
  - name: Usages
  - name: Sales reps
  - name: Gift certificates
  - name: Invoices
  - name: Pro-forma invoices
  - name: Payments
  - name: Refunds
  - name: Credit notes
  - name: Credit note applications
  - name: Reconciliations
  - name: Items
  - name: Inventory adjustments
  - name: Units of measurement
  - name: Zones
  - name: Shipping packages
  - name: Shipping rules
  - name: Fulfillment profiles
  - name: Fulfillment terms
  - name: Item fulfillments
  - name: Item receipts
  - name: Bookings
  - name: Rental assets
  - name: Return merchandise authorisations
  - name: Purchase orders
  - name: Purchase invoices
  - name: Purchase payments
  - name: Purchase refunds
  - name: Purchase credit notes
  - name: Purchase credit note applications
  - name: Purchase express
  - name: Return vendor authorizations
  - name: ABA files
  - name: Receive terms
  - name: Labours
  - name: Tasks
  - name: Timesheets
  - name: Milestones
  - name: Employees
  - name: Departments
  - name: Designations
  - name: Teams
  - name: Time periods
  - name: Workflows
  - name: Workflow settings
  - name: Events
  - name: Custom events
  - name: System events
  - name: Approvals
  - name: Approval profiles
  - name: Approval user groups
  - name: Alerts
  - name: Alert responsibility settings
  - name: Alert responsibilities
  - name: Action scripts
  - name: Note groups
  - name: Note attachments
  - name: Instance settings
  - name: Accounting codes
  - name: Additional codes
  - name: Billing periods
  - name: Charging periods
  - name: Pricing periods
  - name: Invoice terms
  - name: Days of the month
  - name: Countries
  - name: Salutations
  - name: Document templates
  - name: Email templates
  - name: Roles
  - name: Operators
  - name: Operator groups
  - name: User settings
  - name: Custom attributes
  - name: Custom components
  - name: Custom features
  - name: Custom fields
  - name: Custom forms
  - name: Attribute attachments
  - name: Portal
  - name: Integration connections
  - name: External databases
  - name: Reports
  - name: Applications
  - name: Organisation
  - name: Child organisations
  - name: Webhooks
paths:
  /purchase_invoices/{purchase_invoice_id}/notes/{note_id}:
    get:
      tags:
        - Purchase invoices
      summary: Retrieve a purchase invoice note
      description: >-
        Returns the note with its content, attachments and watchers under
        `note`.
      operationId: purchase_invoices_get_purchase_invoice_note
      parameters:
        - name: purchase_invoice_id
          in: path
          required: true
          description: The purchase invoice's `id`.
          schema:
            type: string
        - name: note_id
          in: path
          required: true
          description: The note's `id`, from the note create or the notes list.
          schema:
            type: string
      responses:
        '200':
          description: The note, under `note`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseInvoiceNoteResponse'
        '404':
          description: >-
            The purchase invoice has no note with that `id`, for example after
            it is deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl -X GET
            "$EXSITED_BASE_URL/api/v4/purchase_invoices/PI-0001/notes/note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a"
            \
              -H "Authorization: Bearer $ACCESS_TOKEN"
        - lang: python
          label: Python
          source: |
            from exsited import build_client

            client = build_client()

            response = client.purchase_invoices.get_purchase_invoice_note(
                "PI-0001", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a"
            )
            print(response.data)
        - lang: javascript
          label: JavaScript
          source: >
            import {buildClient} from 'exsited';


            const client = await buildClient();


            const response = await
            client.purchaseInvoices.getPurchaseInvoiceNote(
                'PI-0001',
                'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
            );

            console.log(response.data);
        - lang: php
          label: PHP
          source: |
            use Exsited\Client\ClientRegistry;

            $client = ClientRegistry::buildClient();

            $response = $client->purchaseInvoices->getPurchaseInvoiceNote(
                'PI-0001',
                'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
            );
            print_r($response->data);
        - lang: java
          label: Java
          source: >
            import com.exsited.client.ApiResponse;

            import com.exsited.client.ClientRegistry;

            import com.exsited.client.ExsitedClient;

            import
            com.exsited.resources.purchase_invoices.purchase_invoices_dto.PurchaseInvoicesDto.PurchaseInvoiceNoteRead;


            ExsitedClient client = ClientRegistry.buildClient();


            ApiResponse<PurchaseInvoiceNoteRead> response =
            client.purchaseInvoices().getPurchaseInvoiceNote(
                    "PI-0001",
                    "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
            System.out.println(response.getMap());
        - lang: csharp
          label: .NET
          source: >
            using Exsited.Client;


            await using var client = ExsitedClient.BuildClient();


            var response = await
            client.PurchaseInvoices.GetPurchaseInvoiceNoteAsync(
                "PI-0001",
                "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");

            Console.WriteLine(response.Json);
        - lang: dart
          label: Dart
          source: >
            import 'package:exsited/exsited.dart';


            final client = buildClient();


            final response = await
            client.purchaseInvoices.getPurchaseInvoiceNote(
              'PI-0001',
              'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
            );

            print(response.map);
        - lang: go
          label: Go
          source: "import (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\n\texsited \"github.com/exsited/exsited-sdk-go/v4\"\n)\n\nclient, err := exsited.BuildClient(nil)\nif err != nil {\n\tlog.Fatal(err)\n}\ndefer client.Close()\n\nresponse, err := client.PurchaseInvoices().GetPurchaseInvoiceNote(context.Background(), \"PI-0001\", \"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a\", nil, nil)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Println(response.Map)\n"
components:
  schemas:
    PurchaseInvoiceNoteResponse:
      type: object
      properties:
        note:
          $ref: '#/components/schemas/PurchaseInvoiceNoteReadDetail'
    Error:
      type: object
      description: Every failed call returns this body.
      properties:
        object:
          type: string
          description: Always `error`.
        request_id:
          type: string
          description: Quote this to support.
        status:
          type: integer
          description: The HTTP status.
        code:
          type: string
          description: What went wrong, such as `validation_error`.
        message:
          type: string
          description: A short description of the problem.
        doc_url:
          type: string
          description: A link to more about this error.
        errors:
          type: array
          description: One entry per field that failed.
          items:
            type: object
            properties:
              field:
                type: string
              code:
                type: string
              message:
                type: string
              doc_url:
                type: string
    PurchaseInvoiceNoteReadDetail:
      type: object
      properties:
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/PurchaseInvoiceNoteReadDetailAttachment'
        content:
          type: string
        created_by:
          $ref: '#/components/schemas/PurchaseInvoiceNoteReadDetailCreatedBy'
        created_on:
          type: string
        group: {}
        href:
          type: string
        id:
          type: string
        last_updated_by: {}
        last_updated_on: {}
        object:
          type: string
        purchase_invoice:
          $ref: '#/components/schemas/PurchaseInvoiceNoteReadDetailPurchaseInvoice'
        user: {}
        version:
          type: integer
        watchers:
          type: array
          items:
            $ref: '#/components/schemas/PurchaseInvoiceNoteReadDetailWatcher'
    PurchaseInvoiceNoteReadDetailAttachment:
      type: object
      properties:
        uuid:
          type: string
        filename:
          type: string
        content_type:
          type: string
        size:
          type: integer
        href:
          type: string
    PurchaseInvoiceNoteReadDetailCreatedBy:
      type: object
      properties:
        name:
          type: string
        object:
          type: string
    PurchaseInvoiceNoteReadDetailPurchaseInvoice:
      type: object
      properties:
        href:
          type: string
        id:
          type: string
        object:
          type: string
    PurchaseInvoiceNoteReadDetailWatcher:
      type: object
      properties:
        email:
          type: string
        name:
          type: string
        type:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        An access token from `POST /api/v4/oauth2/token`. The SDKs get and renew
        it for you.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.